|  | Home · All Classes · Main Classes · Annotated · Grouped Classes · Functions |

# Q3LocalFs Class Reference

The Q3LocalFs class is an implementation of a QNetworkProtocol that works on the local file system. More...

    #include <Q3LocalFs>

This class is part of the Qt 3 support library. It is provided to keep old source code working. We strongly advise against using it in new code. See the Porting Guide for more information.

Part of the Qt3Support module.

Inherits Q3NetworkProtocol.

- List of all members, including inherited members

### Public Functions

- Q3LocalFs ()

- 9 public functions inherited from Q3NetworkProtocol
- 28 public functions inherited from QObject

### Additional Inherited Members

- 1 property inherited from QObject
- 1 public slot inherited from QObject
- 10 signals inherited from Q3NetworkProtocol
- 1 signal inherited from QObject
- 3 static public members inherited from Q3NetworkProtocol
- 4 static public members inherited from QObject
- 7 protected functions inherited from Q3NetworkProtocol
- 7 protected functions inherited from QObject

## Detailed Description

The Q3LocalFs class is an implementation of a QNetworkProtocol that works on the local file system.

This class is derived from QNetworkProtocol. Q3LocalFs is not normally used directly, but rather through a QUrlOperator, for example:

        QUrlOperator op( "file:///tmp" );
        op.listChildren(); // Asks the server to provide a directory listing

This code will only work if the Q3LocalFs class is registered; to register the class, you must call qInitNetworkProtocols() before using a QUrlOperator with Q3LocalFs.

If you really need to use Q3LocalFs directly, don't forget to set its QUrlOperator with setUrl().

See also QNetworkProtocol and QUrlOperator.

## Member Function Documentation

### Q3LocalFs::Q3LocalFs ()

Constructor.